/*
 * Copyright (C) 2004 Laszlo Pere
 * $Id: popup_menus.h,v 1.1 2006/02/24 17:32:31 pipas Exp pipas $
 *
 * This is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Library General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * $Log: popup_menus.h,v $
 * Revision 1.1  2006/02/24 17:32:31  pipas
 * Initial revision
 *
 */
#ifndef POPUP_MENUS_H
#define POPUP_MENUS_H

#include <gnome.h>

/***************************************************************************
 * Utility functions for popup menus.                                      *
 *                                                                         *
 **************************************************************************/
gboolean clipboard_get_paste(void);

/***************************************************************************
 * Callbacks for the application popup menu.                               *
 *                                                                         *
 **************************************************************************/
void
on_files_and_directories_activate      (GtkMenuItem     *menuitem,
                                        gpointer         user_data);
void
on_application_cut_activate            (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_application_copy_activate           (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_application_paste_activate          (GtkMenuItem     *menuitem,
                                        gpointer         user_data);
void
on_mounted_devices1_activate           (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_logged_on_users_activate            (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_processes_activate                  (GtkMenuItem     *menuitem,
                                        gpointer         user_data);
void
on_tree_file_view_activate             (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_tree_processes_activate             (GtkMenuItem     *menuitem,
                                        gpointer         user_data);
void
on_logout_activate                     (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_shut_down_computer1_activate        (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_reboot_computer_activate            (GtkMenuItem     *menuitem,
                                        gpointer         user_data);


/***************************************************************************
 * Callbacks for the window menu (CuiWindow, embedded windows).            *
 *                                                                         *
 **************************************************************************/
void
on_save_window_as_png_picture_activate (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_save_window_as_unicode_text_activate
                                        (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_window_menu_realize                 (GtkWidget       *widget,
                                        gpointer         user_data);
void
on_detach_window_activate              (GtkMenuItem     *menuitem,
                                        gpointer         user_data);
void
on_window_close_activate               (GtkMenuItem     *menuitem,
                                        gpointer         user_data);
void
on_window_cut_activate                 (GtkMenuItem     *menuitem,
                                        gpointer         user_data);
void
on_window_copy_activate                (GtkMenuItem     *menuitem,
                                        gpointer         user_data);
void
on_window_paste_activate               (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_show_mounted_devices1_activate      (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_mount_device_activate               (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_unmount_device_activate             (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_mount_floppy_activate               (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_umount_floppy_activate              (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_mount_cdrom1_activate               (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_umount_cdrom1_activate              (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_mount_usb_activate                  (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_umount_usb_activate                 (GtkMenuItem     *menuitem,
                                        gpointer         user_data);






void on_file_open_activate(GtkMenuItem * menuitem, gpointer user_data);

void on_file_delete_activate(GtkMenuItem * menuitem, gpointer user_data);

void
on_file_move_to_trash_activate(GtkMenuItem * menuitem, gpointer user_data);

void
on_file_properties_activate(GtkMenuItem * menuitem, gpointer user_data);

void on_file_edit_activate(GtkMenuItem * menuitem, gpointer user_data);

void on_file_cut_activate(GtkMenuItem * menuitem, gpointer user_data);

void on_file_copy_activate(GtkMenuItem * menuitem, gpointer user_data);

void on_file_paste_activate(GtkMenuItem * menuitem, gpointer user_data);

void
on_file_create_archive_activate(GtkMenuItem * menuitem,
				gpointer user_data);

void
on_file_create_zip_activate(GtkMenuItem * menuitem, gpointer user_data);

void
on_file_create_bzip_activate(GtkMenuItem * menuitem, gpointer user_data);


void on_file_new_activate(GtkMenuItem * menuitem, gpointer user_data);

void on_file_new_directory_activate(GtkMenuItem * menuitem, gpointer user_data);

void on_file_new_file_activate(GtkMenuItem * menuitem, gpointer user_data);

void on_file_gvim_text_editor_activate(GtkMenuItem * menuitem,
				  gpointer user_data);

void on_emacs_text_editor_activate(GtkMenuItem * menuitem, gpointer user_data);

void on_file_uncompress_activate(GtkMenuItem * menuitem, gpointer user_data);

void on_application_about_activate(GtkMenuItem * menuitem, gpointer user_data);

void on_app_popup_quit_activate(GtkMenuItem * menuitem, gpointer user_data);

void on_mode_file_activate(GtkMenuItem * menuitem, gpointer user_data);

void on_mode_dir_activate(GtkMenuItem * menuitem, gpointer user_data);

void on_mode_program_activate(GtkMenuItem * menuitem, gpointer user_data);

void on_grant_read_activate(GtkMenuItem * menuitem, gpointer user_data);

void on_revoke_read_activate(GtkMenuItem * menuitem, gpointer user_data);

void on_grant_write_activate(GtkMenuItem * menuitem, gpointer user_data);

void on_revoke_write_activate(GtkMenuItem * menuitem, gpointer user_data);

void on_grant_execute_activate(GtkMenuItem * menuitem, gpointer user_data);

void on_revoke_execute_activate(GtkMenuItem * menuitem, gpointer user_data);

void on_mode_group_activate(GtkMenuItem * menuitem, gpointer user_data);

void on_group_grant_read_activate(GtkMenuItem * menuitem, gpointer user_data);

void on_group_revoke_read_activate(GtkMenuItem * menuitem, gpointer user_data);

void on_group_revoke_write_activate(GtkMenuItem * menuitem, gpointer user_data);

void on_group_grant_execute_activate(GtkMenuItem * menuitem,
				gpointer user_data);

void on_group_revoke_execute_activate(GtkMenuItem * menuitem,
				 gpointer user_data);

void on_mode_others_activate(GtkMenuItem * menuitem, gpointer user_data);

void on_others_grant_read_activate(GtkMenuItem * menuitem, gpointer user_data);

void on_others_revoke_read_activate(GtkMenuItem * menuitem, gpointer user_data);

void on_others_grant_write_activate(GtkMenuItem * menuitem, gpointer user_data);

void on_others_revoke_write_activate(GtkMenuItem * menuitem,
				gpointer user_data);

void on_others_grant_execute_activate(GtkMenuItem * menuitem,
				 gpointer user_data);

void on_others_revoke_execute_activate(GtkMenuItem * menuitem,
				  gpointer user_data);
void on_file_view_activate(GtkMenuItem * menuitem, gpointer user_data);
void on_process_file_activate(GtkMenuItem * menuitem, gpointer user_data);
void on_user_lock_activate(GtkMenuItem *menuitem, gpointer user_data);
void on_user_unlock_activate(GtkMenuItem *menuitem, gpointer user_data);

void on_user_home_directory_activate        (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_user_delete_activate                (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_user_add_activate                   (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_user_properties_activate            (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_user_processes_activate             (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_user_quotas_activate                (GtkMenuItem     *menuitem,
                                        gpointer         user_data);


void
on_files_and_directories1_activate     (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_logged_on_users1_activate           (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_processes1_activate                 (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_tree_process1_activate              (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_exit_propram2_activate              (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_logout1_activate                    (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_shut_down_computer2_activate        (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_reboot_computer1_activate           (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_mounted_devices2_activate           (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_refresh_window1_activate            (GtkMenuItem     *menuitem,
                                        gpointer         user_data);
void
on_tree_file_view1_activate            (GtkMenuItem     *menuitem,
                                        gpointer         user_data);
void
on_window_quit_activate                (GtkMenuItem     *menuitem,
                                        gpointer         user_data);
void
on_application_new_activate            (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_application_new_directory_activate  (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_application_new_file_activate       (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_window_new_activate                 (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_window_new_directory_activate       (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_window_new_file_activate            (GtkMenuItem     *menuitem,
                                        gpointer         user_data);


#endif
